Page MenuHomePhabricator

Set Module Metadata "AvoidPLT" when -fno-plt is used.
ClosedPublic

Authored by tmsriram on Jan 17 2018, 4:50 PM.

Details

Summary

Set Module Metadata "AvoidPLT" when -fno-plt is used.

Please see:
https://reviews.llvm.org/D42216 for more details.

This allows processing of calls to intrinsics easily.

Diff Detail

Repository
rL LLVM

Event Timeline

tmsriram created this revision.Jan 17 2018, 4:50 PM
tmsriram updated this revision to Diff 130500.Jan 18 2018, 3:13 PM

METADATA tag changed to "RtLibUseGOT". Also see: https://reviews.llvm.org/D42224/

tmsriram updated this revision to Diff 135144.Feb 20 2018, 1:58 PM

Updated patch.

Ping. This patch goes with https://reviews.llvm.org/D42216, Rafael can you approve this too if you think it is ok? Thanks.

This revision was not accepted when it landed; it landed in state Needs Review.Feb 23 2018, 1:30 PM
This revision was automatically updated to reflect the committed changes.